MODULE LgdRdr;

IMPORT IO, Lib3, SO, Utils, FNames, Rdr, Config;
IMPORT ConSigs;


PROCEDURE Error();
BEGIN
  IO.WrStr( 'LgdRdr: infile does not exist' );
  IO.WrLn();
END Error;


PROCEDURE ShowBeg();
BEGIN
  (*
  IO.WrChar( '"' );
  IO.WrStr( FNames.in );
  IO.WrChar( '"' );
  IO.WrLn();
  *)
END ShowBeg;

PROCEDURE ShowEnd();
BEGIN
  (*
  IO.WrLn();
  *)
END ShowEnd;

PROCEDURE ShowTel();
VAR
  b: SO.TBuffer;
  s: ARRAY [0..127] OF CHAR;
BEGIN
  IF ~ Config.data.dbg THEN RETURN END;
  SO.Init( b, s );
  SO.WrStr( b, 'LgdRdr: len ' );
  SO.WrLngCard( b, Rdr.len, 4 );
  SO.WrStr( b, ' tel ' );
  Utils.WrHex( b, Rdr.tel, 0, 15 );
  IO.WrStr( s );
  IO.WrLn();
END ShowTel;


VAR
  ok: BOOLEAN;
BEGIN
  ok := FNames.First();
  IF ~ ok THEN Error() END;

  WHILE ok DO
    ShowBeg();

    Rdr.Open();
    Rdr.Read();

    WHILE Rdr.ok DO
      ShowTel();
      Rdr.Read();
    END;

    Rdr.Close();

    ShowEnd();
    ok := FNames.Next();
  END;

  Lib3.SetReturnCode( 0 );
END LgdRdr.
